package originalJd

import (
	"encoding/json"
	"testing"

	"github.com/gogf/gf/v2/os/glog"
)

func TestClient_AppleRecharge(t *testing.T) {
	demo := "{\"code\":205,\"data\":{\"deeplink\":\"\",\"order_id\":\"\",\"pay_id\":\"\",\"remark\":\"抱歉，您本单购买的以下商品或赠品在所选择的地址下暂时无货\"},\"msg\":\"请求完成\"}"
	clientResp := AppleRechargeClientResp{}
	err := json.Unmarshal([]byte(demo), &clientResp)
	glog.Info(t.Context(), "请求结果", clientResp, err)
}
